Bug 173631 - Legacy megaraid driver suddenly passes all drives through
Legacy megaraid driver suddenly passes all drives through
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-18 14:07 EST by Chris Adams
Modified: 2015-01-04 17:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-04 08:38:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Adams 2005-11-18 14:07:29 EST
I have a system with a couple of old MegaRAID cards that use the legacy megaraid
driver (not megaraid_mm).  I installed FC4 and it works fine up to kernel
2.6.13-1.1532_FC4smp.  I installed kernel 2.6.14-1.1637_FC4smp on it, and it
won't boot.  The physical drives attached to the MegaRAIDs show up in the bus
scan (even though they are part of logical RAID drives).  This confuses the
system greatly.  This only happens with 2.6.14-1.1637_FC4smp.

I do see changes in drives/scsi/megaraid.c between those two kernels, but I'm
not sure what would cause the behavior.
Comment 1 Bill Terrell 2005-12-18 14:49:26 EST
I have a system that began exhibiting the same behavior when I upgraded from
kernel-2.6.13-1.1532_FC4smp to kernel-2.6.14-1.1637_FC4smp. The system will
still boot (and appears stable) after generating error messages. However, after
upgrading to kernel-2.6.14-1.1644_FC4smp, the system will no longer boot. It
detects a duplicate LVM physical volume and the Kernel panics.

I suspect that this may also be related to Bug #167955.


The relevant H/W configuration:

Tyan Tiger 133 - VIA Apollo 133 Chipset (Bios v1.05)
Dual Pentium III 800EB CPUs
1024meg PC133 SDRAM - 2 x 512meg
Dell PERC - AMI Megaraid Dual Channel RAID Controller (U.84 Firmware)
	Channel 1 - 2 x 18gig as RAID 1
	Channel 2 - 5 x 18gig as RAID 5


Kernel Startup Log Snippet:

SCSI subsystem initialized
megaraid: found 0x101e:0x9010:bus 0:slot 18:func 0
scsi0:Found MegaRAID controller at 0xec10, IRQ:161
megaraid: [U.84:1.63] detected 2 logical drives.
megaraid: channel[0] is raid.
megaraid: channel[1] is raid.
scsi0 : LSI Logic MegaRAID U.84 254 commands 16 targs 5 chans 7 luns
scsi0: scanning scsi channel 0 for logical drives.
  Vendor: MegaRAID  Model: LD0 RAID1 17278R  Rev: U.84
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sda: 35385344 512-byte hdwr sectors (18117 MB)
sda: asking for cache data failed
sda: assuming drive cache: write through
SCSI device sda: 35385344 512-byte hdwr sectors (18117 MB)
sda: asking for cache data failed
sda: assuming drive cache: write through
 sda: sda1 sda2 sda3
Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
  Vendor: MegaRAID  Model: LD1 RAID5 68592R  Rev: U.84
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sdb: 140476416 512-byte hdwr sectors (71924 MB)
sdb: asking for cache data failed
sdb: assuming drive cache: write through
SCSI device sdb: 140476416 512-byte hdwr sectors (71924 MB)
sdb: asking for cache data failed
sdb: assuming drive cache: write through
 sdb: sdb1
Attached scsi disk sdb at scsi0, channel 0, id 1, lun 0
scsi0: scanning scsi channel 4 [P0] for physical devices.
input: ImPS/2 Generic Wheel Mouse on isa0060/serio1
scsi0: scanning scsi channel 5 [P1] for physical devices.
  Vendor: SEAGATE   Model: ST318203LSUN18G   Rev: 034A
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sdc: 35378533 512-byte hdwr sectors (18114 MB)
SCSI device sdc: drive cache: write through
SCSI device sdc: 35378533 512-byte hdwr sectors (18114 MB)
SCSI device sdc: drive cache: write through
 sdc: sdc1
Attached scsi disk sdc at scsi0, channel 5, id 0, lun 0
  Vendor: SEAGATE   Model: ST318203LSUN18G   Rev: 034A
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sdd: 35378533 512-byte hdwr sectors (18114 MB)
SCSI device sdd: drive cache: write through
SCSI device sdd: 35378533 512-byte hdwr sectors (18114 MB)
SCSI device sdd: drive cache: write through
 sdd: unknown partition table
Attached scsi disk sdd at scsi0, channel 5, id 1, lun 0
  Vendor: SEAGATE   Model: ST318203LSUN18G   Rev: 034A
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sde: 35378533 512-byte hdwr sectors (18114 MB)
SCSI device sde: drive cache: write through
SCSI device sde: 35378533 512-byte hdwr sectors (18114 MB)
SCSI device sde: drive cache: write through
 sde: unknown partition table
Attached scsi disk sde at scsi0, channel 5, id 3, lun 0


System Log Snippet:

Dec 18 11:12:05 fattire kernel: sda: asking for cache data failed
Dec 18 11:12:05 fattire kernel: sda: assuming drive cache: write through
Dec 18 11:12:05 fattire kernel: sda: asking for cache data failed
Dec 18 11:12:05 fattire kernel: sda: assuming drive cache: write through
Dec 18 11:12:05 fattire kernel: sdb: asking for cache data failed
Dec 18 11:12:05 fattire kernel: sdb: assuming drive cache: write through
Dec 18 11:12:05 fattire kernel: sdb: asking for cache data failed
Dec 18 11:12:05 fattire kernel: sdb: assuming drive cache: write through
Dec 18 11:12:06 fattire kernel: shpchp: acpi_shpchprm:get_device PCI ROOT HID
fail=0x1001
Dec 18 11:12:34 fattire kernel: Buffer I/O error on device sdc1, logical block
140472064
Dec 18 11:12:34 fattire kernel: Buffer I/O error on device sdc1, logical block
140472065
Dec 18 11:12:34 fattire kernel: Buffer I/O error on device sdc1, logical block
140472066
Dec 18 11:12:34 fattire kernel: Buffer I/O error on device sdc1, logical block
140472067
Dec 18 11:12:34 fattire kernel: Buffer I/O error on device sdc1, logical block
140472068
Dec 18 11:12:34 fattire kernel: Buffer I/O error on device sdc1, logical block
140472069
Dec 18 11:12:34 fattire kernel: Buffer I/O error on device sdc1, logical block
140472070
Dec 18 11:12:34 fattire kernel: Buffer I/O error on device sdc1, logical block
140472071
Dec 18 11:12:34 fattire kernel: Buffer I/O error on device sdc1, logical block
140472064
Dec 18 11:12:34 fattire kernel: Buffer I/O error on device sdc1, logical block
140472065


Snippet from lspci -vv:

00:12.0 Mass storage controller: American Megatrends Inc. MegaRAID 428 Ultra
RAID Controller (rev 04)
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 32, Cache Line Size 08
        Interrupt: pin A routed to IRQ 161
        Region 0: I/O ports at ec00 [size=128]
        [virtual] Expansion ROM at 50020000 [disabled] [size=16K]


Snippet from lspci -n:

00:12.0 Class 0180: 101e:9010 (rev 04)
Comment 2 Bill Terrell 2005-12-18 14:54:54 EST
I also seem to be dyslexic today.

The ID of the suspected related bug is not #167955, but is Bug #169755...
Comment 3 Dave Jones 2006-02-03 02:29:24 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 4 Chris Adams 2006-02-04 08:38:37 EST
I booted 2.6.15-1830_FC4 this morning and it appears to work fine.  Only the
RAID logical drives show up now.

Note You need to log in before you can comment on or make changes to this bug.